org.apache.hadoop.yarn.api.records

## Class NodeAttributeInfo

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.NodeAttributeInfo

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class NodeAttributeInfo
      extends Object

  Node Attribute Info describes a NodeAttribute.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAttributeInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract NodeAttributeKey` | `getAttributeKey()`
    `abstract NodeAttributeType` | `getAttributeType()`
    `static NodeAttributeInfo` | `newInstance(NodeAttribute nodeAttribute)`
    `static NodeAttributeInfo` | `newInstance(NodeAttributeKey nodeAttributeKey, NodeAttributeType attributeType)`
    `abstract void` | `setAttributeKey(NodeAttributeKey attributeKey)`
    `abstract void` | `setAttributeType(NodeAttributeType attributeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAttributeInfo

          public NodeAttributeInfo()

  - ### Method Detail

    - #### newInstance

          public static NodeAttributeInfo newInstance(NodeAttribute nodeAttribute)

    - #### newInstance

          public static NodeAttributeInfo newInstance(NodeAttributeKey nodeAttributeKey,
                                                      NodeAttributeType attributeType)

    - #### getAttributeKey

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract NodeAttributeKey getAttributeKey()

    - #### setAttributeKey

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setAttributeKey(NodeAttributeKey attributeKey)

    - #### getAttributeType

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract NodeAttributeType getAttributeType()

    - #### setAttributeType

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setAttributeType(NodeAttributeType attributeType)

Copyright © 2022 Apache Software Foundation. All rights reserved.